# Uses of Interface
org.opensaml.saml.saml2.core.ArtifactResponse

Packages that use ArtifactResponse
Package
Description
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of ArtifactResponse in org.opensaml.saml.saml2.binding.decoding.impl

Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type ArtifactResponse
Modifier and Type
Method
Description
`private SAMLObject`
HTTPArtifactDecoder.`validateAndExtractResponseMessage(ArtifactResponse artifactResponse)`
Validate and extract the SAML protocol message from the artifact response.

## Uses of ArtifactResponse in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement ArtifactResponse
Modifier and Type
Class
Description
`class`
`ArtifactResponseImpl`
Concrete implementation of `ArtifactResponse`.
Methods in org.opensaml.saml.saml2.core.impl that return ArtifactResponse
Modifier and Type
Method
Description
`ArtifactResponse`
ArtifactResponseBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ArtifactResponse`
ArtifactResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of ArtifactResponse in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as ArtifactResponse
Modifier and Type
Field
Description
`private ArtifactResponse`
ResolveArtifact.`response`
Response to populate.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type ArtifactResponse
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ArtifactResponse>`
ResolveArtifact.`responseLookupStrategy`
Strategy used to locate the `ArtifactResponse` to operate on.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type ArtifactResponse
Modifier and Type
Method
Description
`void`
ResolveArtifact.`setResponseLookupStrategy(Function<ProfileRequestContext,ArtifactResponse> strategy)`
Set the strategy used to locate the `ArtifactResponse` to operate on.

## Uses of ArtifactResponse in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return ArtifactResponse
Modifier and Type
Method
Description
`static ArtifactResponse`
SAML2ActionTestingSupport.`buildArtifactResponse()`
Builds an empty artifact response.